using System.Collections.Generic;
using System.Linq;
using Wizard.Battle;

public class SkillTargetHandBanishedThisTurnCardListFilter : ISkillTargetFilter
{
	public IEnumerable<IReadOnlyBattleCardInfo> Filtering(IEnumerable<IBattlePlayerReadOnlyInfo> battlePlayerInfos, SkillConditionCheckerOption option)
	{
		List<IReadOnlyBattleCardInfo> list = new List<IReadOnlyBattleCardInfo>();
		BattleManagerBase ins = BattleManagerBase.GetIns();
		int turn = ins.CurrentTurn;
		bool isSelfTurn = ins.BattlePlayer.IsSelfTurn;
		list.AddRange(battlePlayerInfos.SelectMany((IBattlePlayerReadOnlyInfo p) => p.SkillInfoBanishCards.Where((IReadOnlyBattleCardInfo pp) => !(pp is NullBattleCard) && pp.BanishedInfo.Turn == turn && pp.BanishedInfo.IsSelfTurn == isSelfTurn && pp.BanishedInfo.Place == BattleCardBase.BanishInfo.BanishPlace.Hand)));
		return list;
	}
}
